AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
  - Reading
License: GPL-3.0-only
AuthorName: Jiaqi Feng
AuthorEmail: georgefung98@gmail.com
SourceCode: https://github.com/Livinglist/Hacki
IssueTracker: https://github.com/Livinglist/Hacki/issues
Liberapay: jfeng_for_open_source

AutoName: Hacki

RepoType: git
Repo: https://github.com/Livinglist/Hacki.git

Builds:
  - versionName: 0.2.1
    versionCode: 32
    commit: f70377d99c6b4a5038fb33b7255b5afb4d16929f
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.2
    versionCode: 36
    commit: a7b113e96f61e96a3cb4736cce0f731ab4d11ff3
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.3
    versionCode: 37
    commit: 8e5438e8ea34564c1ab0fbc692319da87cdcf5ef
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.4
    versionCode: 38
    commit: bfbc80b56baae02eeb7625f32bcbcf52993e3f5c
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.6
    versionCode: 40
    commit: 6a8022e177c676f640310716b79302c93941edb5
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.7
    versionCode: 42
    commit: 553335d8dc512304792b330be96dc552ec44a718
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.8
    versionCode: 45
    commit: e8c4e2b653ad7d87e545d68d0bd0ad2540afe134
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.9
    versionCode: 47
    commit: b9909b6a44cec34e11fe7d07057842984877fecd
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.11
    versionCode: 49
    commit: 913be9fc5d38f80576864cb84ab7e16cf3fc50a8
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.12
    versionCode: 51
    commit: c4c109e4a355bad859db1087b45e1aec14d46816
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.13
    versionCode: 52
    commit: 4e8cf9837f558c75d5e8a772ff4ad10cf7bfd987
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.14
    versionCode: 53
    commit: d506297f4c3efb0bdc5e3a1f2a4be1904c7f29e3
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.15
    versionCode: 54
    commit: 18dadaa5ec8cfb63d17f56e5ebe40c5f18da4902
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.16
    versionCode: 55
    commit: a9590af3e95a33f6e7013ba89d230b64ebb43f99
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.17
    versionCode: 56
    commit: 9312c56dd0284a4c96df324c2255a784c86854f0
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.18
    versionCode: 57
    commit: fefc86275dd630f637e0f7f4c387604ebde6b310
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.19
    versionCode: 60
    commit: 459ab961d12ad286c90304a58e69735a852aea2e
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.21
    versionCode: 63
    commit: b952f349fcabd30387b6dc6810ae3b57bff88daa
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.23
    versionCode: 65
    commit: a90d52f348bfefe3817fcd256351e8d3e780c70a
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.24
    versionCode: 66
    commit: f0d6cac3fd3b976a4fccadeb007ff6c3a9273ffe
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.0
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.28
    versionCode: 70
    commit: 19f2107d95ffed095206d031b4c50dc1e1830708
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.29
    versionCode: 72
    commit: 764ff093459892319483efa75eb7e5f186201681
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.3
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.30
    versionCode: 73
    commit: d83381a7fd4ec5ced8f3516c73c08babb7cec633
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.5
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.31
    versionCode: 74
    commit: a2c66a00750eba8ae1447552e615d0e2366f6bfe
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.32
    versionCode: 75
    commit: e22dd18b919ed8f787a257a5688a8d3f569b10d6
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.33
    versionCode: 761
    commit: 2405a6d30c8a0212c6a9ba7749dd7ee652fa6ff2
    output: build/app/outputs/apk/release/app-*.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - test
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 0.2.33
    versionCode: 762
    commit: 2405a6d30c8a0212c6a9ba7749dd7ee652fa6ff2
    output: build/app/outputs/apk/release/app-*.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - test
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 0.2.33
    versionCode: 763
    commit: 2405a6d30c8a0212c6a9ba7749dd7ee652fa6ff2
    output: build/app/outputs/apk/release/app-*.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - test
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.1
    versionCode: 791
    commit: 03c01a0b78d0e93cd2943688d38adc7317811243
    output: build/app/outputs/apk/release/app-*.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - test
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.1
    versionCode: 792
    commit: 03c01a0b78d0e93cd2943688d38adc7317811243
    output: build/app/outputs/apk/release/app-*.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - test
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.1
    versionCode: 793
    commit: 03c01a0b78d0e93cd2943688d38adc7317811243
    output: build/app/outputs/apk/release/app-*.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - test
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.2
    versionCode: 801
    commit: d3ede8546b0e76673163ed9001f982cd774a90ea
    output: build/app/outputs/apk/release/app-*.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - test
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.2
    versionCode: 802
    commit: d3ede8546b0e76673163ed9001f982cd774a90ea
    output: build/app/outputs/apk/release/app-*.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - test
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.2
    versionCode: 803
    commit: d3ede8546b0e76673163ed9001f982cd774a90ea
    output: build/app/outputs/apk/release/app-*.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - test
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

AutoUpdateMode: Version
UpdateCheckMode: Tags
VercodeOperation:
  - '%c * 10 + 1'
  - '%c * 10 + 2'
  - '%c * 10 + 3'
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.2
CurrentVersionCode: 803
